Last Comment Bug 1120725 - Hello FTUE: update support link for users with no Hello target
: Hello FTUE: update support link for users with no Hello target
Status: RESOLVED FIXED
:
Product: www.mozilla.org
Classification: Other
Component: Pages & Content (show other bugs)
: Production
: x86 Mac OS X
-- normal
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-12 16:16 PST by Cory Price [:ckprice]
Modified: 2015-01-14 02:09 PST (History)
3 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Cory Price [:ckprice] 2015-01-12 16:16:29 PST
Right now, it looks like we're displaying a modified version of the FTUE Min page for users who aren't eligible to take the tour, but stumbled upon the URL.

This is an edgecase as the only way to navigate to the URL is via the product. This case could appear if a user copy/pastes the URL to a friend who does not have the target available for a variety of reasons (icon in customization palette, old FF version, non-FF browser, etc.).

After talking with Holly, a better UX would be if we sent users to the Hello product page instead: https://www.mozilla.org/firefox/hello/
Comment 1 User image Alex Gibson [:agibson] 2015-01-12 23:46:07 PST
If a user lands on the page without a Hello icon in the toolbar, the tour does nothing so the user see's the default state (same view as if someone had JavaScript disabled).

Because we can only detect if the hello icon is in the toolbar after the user lands in the page, I don't think we should immediately redirect them somewhere else after the page has loaded. This may seem a little odd UX wise and also wasteful of the users bandwidth.

If we are to cover this edge case I would say the best solution would be to show a message/link to the user. This will of course have l10n implications, unless there is a string we can reuse somewhere?

Let me know what you think
Comment 2 User image Cory Price [:ckprice] 2015-01-13 09:58:46 PST
:habber - what do you think of changing the first "Need help?" link to go to the "Where's my Hello icon?" SUMO page we're currently using for the product page? ref: http://cl.ly/image/0O2c1q341E1k

I feel like we can call this done after that, as it's such an edgecase. My note above about non-FF browsers doesn't seem to be an issue anymore as there is a redirect when accessing the link from non-FF.

Thanks
Comment 3 User image Holly Habstritt Gaal [:Habber] 2015-01-13 11:55:06 PST
(In reply to Cory Price [:ckprice] from comment #2)
> :habber - what do you think of changing the first "Need help?" link to go to
> the "Where's my Hello icon?" SUMO page we're currently using for the product
> page? ref: http://cl.ly/image/0O2c1q341E1k
> 
> I feel like we can call this done after that, as it's such an edgecase. My
> note above about non-FF browsers doesn't seem to be an issue anymore as
> there is a redirect when accessing the link from non-FF.
> 
> Thanks

Since we can't detect the location of the Hello icon until page load, would any conditional copy for this user require a page refresh?
Comment 4 User image Alex Gibson [:agibson] 2015-01-13 12:00:19 PST
(In reply to Holly Habstritt Gaal [:Habber] from comment #3)
> (In reply to Cory Price [:ckprice] from comment #2)
> > :habber - what do you think of changing the first "Need help?" link to go to
> > the "Where's my Hello icon?" SUMO page we're currently using for the product
> > page? ref: http://cl.ly/image/0O2c1q341E1k
> > 
> > I feel like we can call this done after that, as it's such an edgecase. My
> > note above about non-FF browsers doesn't seem to be an issue anymore as
> > there is a redirect when accessing the link from non-FF.
> > 
> > Thanks
> 
> Since we can't detect the location of the Hello icon until page load, would
> any conditional copy for this user require a page refresh?

Nope, we can show a conditional message quite easily that does not involve a page refresh.
Comment 5 User image Holly Habstritt Gaal [:Habber] 2015-01-13 12:14:14 PST
(In reply to Alex Gibson [:agibson] from comment #4)
> (In reply to Holly Habstritt Gaal [:Habber] from comment #3)
> > (In reply to Cory Price [:ckprice] from comment #2)
> > > :habber - what do you think of changing the first "Need help?" link to go to
> > > the "Where's my Hello icon?" SUMO page we're currently using for the product
> > > page? ref: http://cl.ly/image/0O2c1q341E1k
> > > 
> > > I feel like we can call this done after that, as it's such an edgecase. My
> > > note above about non-FF browsers doesn't seem to be an issue anymore as
> > > there is a redirect when accessing the link from non-FF.
> > > 
> > > Thanks
> > 
> > Since we can't detect the location of the Hello icon until page load, would
> > any conditional copy for this user require a page refresh?
> 
> Nope, we can show a conditional message quite easily that does not involve a
> page refresh.

Thanks, Alex. Since it's an edge case, moving forward with what Cory proposed will be fine. If we find that this becomes more than an edge case, we may want to style this messaging in a way that is more prominent. However, for now, simply swapping out the top link is a solution with appropriate scope.
Comment 6 User image [github robot] 2015-01-14 02:08:59 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/19890ac59c5271e999352a56662be1fff633d725
[fix bug 1120725] Update link for users with no Hello target

https://github.com/mozilla/bedrock/commit/bfb56269c9e472df06d5f92983d3c701e0629fc4
Merge pull request #2656 from ckprice/bug-1120725-hello-ftue-no-targets

[fix bug 1120725] Update link for users with no Hello target

Note You need to log in before you can comment on or make changes to this bug.